Package weka.core.converters

# Class MatlabSaver

java.lang.Object
weka.core.converters.AbstractSaver
weka.core.converters.AbstractFileSaver
weka.core.converters.MatlabSaver

All Implemented Interfaces:
  `Serializable`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `BatchConverter`, `FileSourcedConverter`, `IncrementalConverter`, `Saver`, `EnvironmentHandler`, `OptionHandler`, `RevisionHandler`

public class MatlabSaver extends AbstractFileSaver implements BatchConverter, IncrementalConverter
Writes Matlab ASCII files, in single or double precision format.

Valid options are:

     -i <the input file>
      The input file

     -o <the output file>
      The output file

     -double
      Use double precision format.
      (default: single precision)

     -tabs
      Use tabs as separator.
      (default: blanks)

Version:
  $Revision: 11211 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - `Saver`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `FILE_EXTENSION`
  the file extension.

  ### Fields inherited from interface weka.core.converters.Saver

  `BATCH, INCREMENTAL, NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatlabSaver()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Capabilities`
  `getCapabilities()`
  Returns the Capabilities of this saver.
  `String`
  `getFileDescription()`
  Returns a description of the file type.
  `String[]`
  `getOptions()`
  returns the options of the current setup.
  `String`
  `getRevision()`
  Returns the revision string.
  `boolean`
  `getUseDouble()`
  Returns whether double or single precision is used.
  `boolean`
  `getUseTabs()`
  Returns whether tabs are used instead of blanks.
  `String`
  `globalInfo()`
  Returns a string describing this Saver.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `static void`
  `main(String[] args)`
  Main method.
  `void`
  `resetOptions()`
  Resets the Saver.
  `void`
  `setOptions(String[] options)`
  Parses the options for this object.
  `void`
  `setUseDouble(boolean value)`
  Sets whether to use double or single precision.
  `void`
  `setUseTabs(boolean value)`
  Sets whether to use tabs instead of blanks.
  `String`
  `useDoubleTipText()`
  Returns the tip text for this property.
  `String`
  `useTabsTipText()`
  Returns the tip text for this property.
  `void`
  `writeBatch()`
  Writes a Batch of instances.
  `void`
  `writeIncremental(Instance inst)`
  Saves an instances incrementally.

  ### Methods inherited from class weka.core.converters.AbstractFileSaver

  `cancel, filePrefix, getFileExtension, getFileExtensions, getUseRelativePath, getWriter, resetWriter, retrieveDir, retrieveFile, runFileSaver, setDestination, setDestination, setDir, setDirAndPrefix, setEnvironment, setFile, setFilePrefix, setUseRelativePath, useRelativePathTipText`

  ### Methods inherited from class weka.core.converters.AbstractSaver

  `doNotCheckCapabilitiesTipText, getDoNotCheckCapabilities, getInstances, getWriteMode, resetStructure, setDoNotCheckCapabilities, setInstances, setRetrieval, setStructure`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILE_EXTENSION

    public static String FILE_EXTENSION
    the file extension.

- ## Constructor Details

  - ### MatlabSaver

    public MatlabSaver()
    Constructor.

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing this Saver.
    Returns:
      a description of the Saver suitable for displaying in the explorer/experimenter gui

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `AbstractFileSaver`
    Returns:
      an enumeration of all the available options.

  - ### getOptions

    public String[] getOptions()
    returns the options of the current setup.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `AbstractFileSaver`
    Returns:
      the current options

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses the options for this object.

    Valid options are:

         -i <the input file>
          The input file

         -o <the output file>
          The output file

         -double
          Use double precision format.
          (default: single precision)

         -tabs
          Use tabs as separator.
          (default: blanks)

    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `AbstractFileSaver`
    Parameters:
      `options` - the options to use
    Throws:
      `Exception` - if setting of options fails

  - ### getFileDescription

    public String getFileDescription()
    Returns a description of the file type.
    Specified by:
      `getFileDescription` in interface `FileSourcedConverter`
    Specified by:
      `getFileDescription` in class `AbstractFileSaver`
    Returns:
      a short file description

  - ### resetOptions

    public void resetOptions()
    Resets the Saver.
    Overrides:
      `resetOptions` in class `AbstractFileSaver`

  - ### setUseDouble

    public void setUseDouble(boolean value)
    Sets whether to use double or single precision.
    Parameters:
      `value` - if true then double precision is used

  - ### getUseDouble

    public boolean getUseDouble()
    Returns whether double or single precision is used.
    Returns:
      true if double precision is used

  - ### useDoubleTipText

    public String useDoubleTipText()
    Returns the tip text for this property.
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### setUseTabs

    public void setUseTabs(boolean value)
    Sets whether to use tabs instead of blanks.
    Parameters:
      `value` - if true then tabs are used

  - ### getUseTabs

    public boolean getUseTabs()
    Returns whether tabs are used instead of blanks.
    Returns:
      true if tabs are used

  - ### useTabsTipText

    public String useTabsTipText()
    Returns the tip text for this property.
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### getCapabilities

    public Capabilities getCapabilities()
    Returns the Capabilities of this saver.
    Specified by:
      `getCapabilities` in interface `CapabilitiesHandler`
    Overrides:
      `getCapabilities` in class `AbstractSaver`
    Returns:
      the capabilities of this object
    See Also:
      - `Capabilities`

  - ### writeIncremental

    public void writeIncremental(Instance inst) throws IOException
    Saves an instances incrementally. Structure has to be set by using the setStructure() method or setInstances() method.
    Specified by:
      `writeIncremental` in interface `Saver`
    Overrides:
      `writeIncremental` in class `AbstractSaver`
    Parameters:
      `inst` - the instance to save
    Throws:
      `IOException` - throws IOEXception if an instance cannot be saved incrementally.

  - ### writeBatch

    public void writeBatch() throws IOException
    Writes a Batch of instances.
    Specified by:
      `writeBatch` in interface `Saver`
    Specified by:
      `writeBatch` in class `AbstractSaver`
    Throws:
      `IOException` - throws IOException if saving in batch mode is not possible

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision

  - ### main

    public static void main(String[] args)
    Main method.
    Parameters:
      `args` - should contain the options of a Saver.